Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with jdk6

%define milestone M3


Name:           axion
Version:        1.0
Release:        alt1_0.M3.cvs040914.5jpp5
Epoch:          0
Summary:        Axion RDBMS 
License:        BSD
Group:          Development/Java
URL:            http://axion.tigris.org/
Source0:        axion-1.0-M3-cvs040914-src.tar.gz
Source1:        http://repo1.maven.org/maven2/axion/axion/1.0-M3-dev/axion-1.0-M3-dev.pom
Patch0:         axion-build.patch
# cvs -d :pserver:anoncvs@cvs.tigris.org:/cvs login
# cvs -d :pserver:anoncvs@cvs.tigris.org:/cvs export -r HEAD axion

Requires: jakarta-commons-codec
Requires: jakarta-commons-collections32
Requires: jakarta-commons-primitives11
Requires: jakarta-commons-logging
Requires: regexp
BuildRequires: jpackage-utils >= 0:1.7.3
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-nodeps
BuildRequires: ant-junit
BuildRequires: junit >= 0:3.8.1
BuildRequires: javacc3 >= 0:3.2
BuildRequires: jakarta-commons-codec
BuildRequires: jakarta-commons-collections32
BuildRequires: jakarta-commons-primitives11
BuildRequires: jakarta-commons-logging
BuildRequires: regexp
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3

BuildArch:      noarch

%description
Axion is a small, fast, open source relational 
database system (RDBMS) supporting SQL and JDBC 
written in and for the Java programming language.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n axion
%patch0 -b .sav0

%build
%{ant} \
    -Dcommons-primitives.jar=$(build-classpath commons-primitives11) \
    -Dcollections-primitives.jar=$(build-classpath commons-primitives11) \
    -Dcollections.jar=$(build-classpath commons-collections32) \
    -Dcodec.jar=$(build-classpath commons-codec) \
    -Dlogging.jar=$(build-classpath commons-logging) \
    -Dlogging-impl.jar=$(build-classpath log4j) \
    -Djavacc.jar=$(build-classpath javacc3) \
    -Djunit.jar=$(build-classpath junit) \
    -Dregexp.jar=$(build-classpath regexp) \
    -Dtest.failonerror=false \
    jar doc test


%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/%{name}-%{version}-%{milestone}-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr bin/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc LICENSE.txt
%{_javadir}/*
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Apr 02 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.M3.cvs040914.5jpp5
- new jpp release

* Mon Nov 10 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.M3.2jpp5
- java5 fixes

* Mon Oct 29 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.M3.2jpp1.7
- converted from JPackage by jppimport script

